Bug 153161 - [ipfw] does not support specifying rules with ICMP codes
Summary: [ipfw] does not support specifying rules with ICMP codes
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 8.1-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom Jones
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-15 01:40 UTC by Renato Tambellini
Modified: 2020-09-19 16:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Tambellini 2010-12-15 01:40:10 UTC
The IPFIREWALL does not support specify rules with ICMP codes.

Example:

I try to create a rule to accept packets like this captured in debug mode:
Dec 14 23:08:44 devilbox kernel: ipfw: 400 Accept ICMP:3.4 192.168.1.5 192.168.1.11 in via wlan1

Error when trying to create rule:
# ipfw 500 add allow icmp from 192.168.1.5 to me icmptypes 3.4 
ipfw: invalid ICMP type
Exit 65

RFC792:
ICMP type 3 (destination unreachable)
ICMP type 3, code 4 (fragmentation needed and DF set)

* This problem also occur in all ICMP types and codes.

Fix: 

Create methods that make possible IPFIREWALL and ipfw interface accept specify ICMP codes.
How-To-Repeat: ipfw 500 add allow icmp from 192.168.1.5 to me icmptypes 3.4
Comment 1 Andrey V. Elsukov freebsd_committer 2010-12-15 05:04:39 UTC
State Changed
From-To: open->closed

Expected behaviour. A numeric list of icmptypes should 
be separated by commas. See ipfw(8) manual page.
Comment 2 Andrey V. Elsukov freebsd_committer 2010-12-15 05:44:49 UTC
State Changed
From-To: closed->open

Reopen PR and assign over to maintainer. 
ipfw currently does not support icmp codes. 


Comment 3 Andrey V. Elsukov freebsd_committer 2010-12-15 05:44:49 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ipfw

Reopen PR and assign over to maintainer. 
ipfw currently does not support icmp codes.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:14 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped